package cn.teammodel.model.entity.school;

import lombok.Data;

import java.util.ArrayList;

@Data
public class GpTeacher {

    public GPBasicInfo basic;
    
    /// <summary>
    /// 简介
    /// </summary>
    public String describe ;
    public String id ;

    /// <summary>
    /// 描述
    /// </summary>
    public String depict ;

    public String mobile;

    /// <summary>
    /// 学段
    /// </summary>
    public ArrayList<GnericBase> periods ;

    /// <summary>
    /// 科目
    /// </summary>
    public ArrayList<GnericBase> subjects ;

    /// <summary>
    /// 年级
    /// </summary>
    public ArrayList<GnericBase> grades ;
    /// <summary>
    /// 从业时间
    /// </summary>
    public Long practiceTime ;

    /// <summary>
    /// 最高职称
    /// </summary>
    public String title ;

    /// <summary>
    /// 学历
    /// </summary>
    public String degree ;

    public void setBasic(GnericBase basic) {
        
    }


    @Data
    public static class GPBasicInfo {
/// <summary>
        /// 昵称
        /// </summary>
        public String name ;

        /// <summary>
        /// 真实名称
        /// </summary>
        public String fullName ;

        /// <summary>
        /// 头像
        /// </summary>
        public String picture ;

        /// <summary>
        /// 国家或地区
        /// </summary>
        public String region ;

        /// <summary>
        /// 省份
        /// </summary>
        public String province ;

        /// <summary>
        /// 城市
        /// </summary>
        public String city ;

        /// <summary>
        /// 区县
        /// </summary>
        public String dist ;

        /// <summary>
        /// 性别,男M  女F，保密S 
        /// </summary>
        public String gender ;

        /// <summary>
        /// 年龄
        /// </summary>
        public Integer age ;

        /// <summary>
        /// 详细地址
        /// </summary>
        public String address ;
    }
    @Data
    public static class GnericBase{

        private String id ;
        private String name ;
    }
}
