package cn.teammodel.model.entity.teacher;

import cn.teammodel.model.entity.BaseItem;
import com.azure.spring.data.cosmos.core.mapping.Container;
import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Data;
import lombok.EqualsAndHashCode;

@EqualsAndHashCode(callSuper = true)
@Container(containerName = " Common")
@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
public class HonorInfo extends BaseItem {
    public Integer type;
    public Integer order;
    public String aliasName;
    public String desc;
    public String ownerId;
    public String ownerName;
    public Integer status;
    public Integer score = 0;
    public Integer source;
}
