package cn.teammodel.repository;

import cn.teammodel.model.entity.school.PaperSchool;
import com.azure.spring.data.cosmos.repository.CosmosRepository;
import com.azure.spring.data.cosmos.repository.Query;
import org.springframework.stereotype.Repository;


@Repository
public interface PaperSchoolRepository extends CosmosRepository<PaperSchool, String> {
    @Query("select value count(1) from c where c.pk='Paper' and c.code= @code " +
            "and (IS_NULL(@grade) OR ARRAY_CONTAINS(c.gradeIds, @grade))")
    int getPaperCount(String code, String grade);
}
