package cn.teammodel.repository;

import cn.teammodel.model.entity.school.PaperTeacher;
import com.azure.spring.data.cosmos.repository.CosmosRepository;
import com.azure.spring.data.cosmos.repository.Query;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface PaperTeacherRepository extends CosmosRepository<PaperTeacher,String>{
    @Query("select value count(1) from c where c.pk='Paper' and c.code=@code")
    int getPaperCount(String code);
}
