package cn.teammodel.model.dto.Wechat;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 评价完成通知 请求参数
 */
@Data
public class AppraiseReqDto extends BaseInfoReqDto {

    @ApiModelProperty("微信openId")
    public String openId;

    @ApiModelProperty("跳转页面")
    public String page = "pages/parent/home";

    @ApiModelProperty("被评价用户")
    public String name;

    @ApiModelProperty("评价内容")
    public String content;

    @ApiModelProperty("评价时间")
    public String appraiseTime;

    @ApiModelProperty("评价人")
    public String appraiseUser;
}
