package cn.teammodel.model.entity;

import lombok.Data;
import lombok.ToString;

import java.util.Set;

/**
 * @author winter
 * @create 2023-11-09 15:43
 */
@Data
@ToString
public class User {
    private String id;
    private String name;
    /**
    * 学校 id
    */
    private String schoolId;
    private String picture;
    private String standard;
    /**
    * 用户身份
    */
    private String scope;
    private String website;
    /**
    * 区级 id
    */
    private String area;
    private Set<String> roles;
    private Set<String> permissions;
}
